﻿@{
    ViewBag.Title = "PopView";
    Layout = "~/Views/Shared/_QuickStartLayout.cshtml";
}
@section HeadCss
{
    <link href="../../Content/plugins/dialog/jquery.modaldialog.css" rel="stylesheet"
        type="text/css" />
    <style type="text/css">
        
    </style>
}
@section Scripts
{
    <script src="../../Scripts/Public/sa/jquery.sa.ajax.js" type="text/javascript"></script>
    <script src="../../Scripts/Public/resource.js" type="text/javascript"></script>
    <script src="../../Scripts/Public/sa/jquery.sa.dialog.js" type="text/javascript"></script>
    <script type="text/javascript" language="JavaScript">

	</script>
}
<div class="container-fluid">
    <div class="row">
        <div class="col-md-1">
        </div>
        <div class="col-md-9">
            <h1>
                Pop 默认大小(显示index页面)</h1>
            <a href="javascript:$.sa.pop('/Sample/Index');">Pop</a>
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">$.sa.pop('/Sample/Index');</pre>
            <hr />
            <h1>
                Pop2-0 自定义大小(固定宽高)</h1>
            <a href="javascript:$.sa.pop('index',{height:'400px',width:'400px'});">Pop2-0</a>
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">$.sa.pop('index',{height:'400px',width:'400px'});</pre>
            <hr />
            <h1>
                Pop2-1 自定义大小(自适应屏幕否则maxWidth)</h1>
            <a href="javascript:$.sa.pop('index',{maxWidth:'800px'});">Pop2-1</a>
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">$.sa.pop('index',{maxWidth:'800px'});</pre>
            <hr />
            <h1>
                Pop2-2 自定义大小(自适应屏幕否则minWidth)</h1>
            <a href="javascript:$.sa.pop('index',{minWidth:'400px'});">Pop2-2</a>
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">$.sa.pop('index',{minWidth:'400px'});</pre>
            <hr />
            <h1>
                Pop3 传参和回调</h1>
            <a href="javascript:$.sa.pop('ContentOfPopView',{params:{param1:'para天空',name:'Tom'},popcallback:function(data){$('#pop3Txt').val(data);}});">
                Pop3</a>
            <br />
            Pop页面传回的值
            <input type="text" id="pop3Txt" />
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">$.sa.pop('ContentOfPopView',{params:{param1:'para天空',name:'Tom'},popcallback:function(data){$('#pop3Txt').val(data);}});</pre>
            <hr />
            <h1>
                上传PopView</h1>
            <button class="btn btn-lg" onclick="$.sa.upload();">
                Upload</button>
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">$.sa.upload();</pre>
            <hr />
            <h1>
                上传PopView,限制上传文件类型、一次最大上传数量</h1>
            <button class="btn btn-lg" onclick="$.sa.upload({extensions:'jpg,rar',numLimit:3});">
                Upload2</button>
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">$.sa.upload({extensions:'jpg,rar',numLimit:3});</pre>
            <hr />
            <script type="text/javascript">
                function GetUploadFiles(files) {
                    var FilesTable = document.createElement('div');
                    $(FilesTable).html("上传文件列表如下：<br/><table id='uploadFiles' border='2px' width='100%' style='text-align:center'><tr><td>FileID</td><td>FileName</td><td>FileSize</td><td>FilePath</td><td>InUserID</td><td>Download</td></tr></table>");
                    $("body").append($(FilesTable));
                    $.each(files, function () {
                        $("#uploadFiles tbody").append($("<tr><td>" + this.FileID + "</td><td>" + this.FileName + "</td><td>" + this.FileSize + "</td><td>" + this.FilePath + "</td><td>" + this.InUserID + "</td><td><a href='/file/getfile/" + this.FileID + "'>下载文件</a></td></tr>"));
                    });
                    $("body").append($("<hr/>"));
                }
            </script>
        </div>
    </div>
</div>
